Name:		ettercap
Version:	0.7.4.1
Release:	%mkrel 6
Source:		http://ettercap.sourceforge.net/download/ettercap-%{version}.tar.gz
Patch0:		ettercap-0.7.4-parallel.patch
Patch1:		ettercap-0.7.4-CVE-2010-3843.patch
Patch2:		ettercap-0.7.4.1-automake-1.13.patch
Patch3:		ettercap-0.7.4.1-CVE-2013-0722.patch
License:	GPLv2+
Group:		Networking/Other
Summary:	Ncurses/Gtk2 based sniffer/interceptor utility
URL:		http://ettercap.sourceforge.net/
BuildRequires:	libpcap-devel >= 0.8.1
BuildRequires:	net-devel >= 1.1.2.1
BuildRequires:	zlib-devel
BuildRequires:	libtool-devel
BuildRequires:	pcre-devel
BuildRequires:	openssl-devel
Buildrequires:	ncurses-devel
BuildRequires:	pkgconfig >= 0.15.0
BuildRequires:	gtk+2-devel
BuildRequires:	flex
BuildRequires:	bison

%description
Ettercap is a suite for man in the middle attacks on LAN.

It features sniffing of live connections, content filtering
on the fly and many other interesting tricks.

It supports active and passive dissection of many protocols
(even ciphered ones) and includes many feature for network 
and host analysis. 

%prep
%setup -q -n %{name}
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--with-openssl=%{_prefix} \
	--enable-gtk \
	--without-included-ltdl \
	--disable-ltdl-install \
	--enable-plugins
%make
%make plug-ins

%install
%makeinstall_std

%files
%doc AUTHORS CHANGELOG INSTALL LICENSE README* THANKS TODO TODO.TESTING doc/*
%config(noreplace) %_sysconfdir/etter.conf
%{_mandir}/man?/*
%{_bindir}/*
%{_datadir}/ettercap
%{_libdir}/ettercap


%changelog

* Fri Feb 01 2013 luigiwalser <luigiwalser> 0.7.4.1-6.mga3
+ Revision: 393951
- rediff patch from fedora to fix CVE-2013-0722

* Fri Jan 11 2013 umeabot <umeabot> 0.7.4.1-5.mga3
+ Revision: 349767
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 sander85 <sander85> 0.7.4.1-4.mga3
+ Revision: 344693
- Fix build with automake 1.13

* Sat Dec 01 2012 fwang <fwang> 0.7.4.1-3.mga3
+ Revision: 323772
- rebuild for new pcre

* Wed Aug 08 2012 luigiwalser <luigiwalser> 0.7.4.1-2.mga3
+ Revision: 280069
- add patch from fedora to fix CVE-2010-3843

* Mon Mar 05 2012 pterjan <pterjan> 0.7.4.1-1.mga2
+ Revision: 219342
- Update to 0.7.4.1

* Wed Dec 21 2011 pterjan <pterjan> 0.7.4-1.mga2
+ Revision: 185525
- Hack to fix parallel build
- imported package ettercap

